# Retrieve a list of job types

Lists job types.

Endpoint: GET /api/v2/cm/job-types
Version: v2.0
Security: OAuth2.0

## Query parameters:

  - `SortBy` (string)

## Response 200 fields (application/json):

  - `id` (string,null, required)

  - `name` (string,null, required)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `description` (string,null)

  - `options` (object)

  - `options.canBeStopped` (boolean)

  - `options.canCallback` (boolean)

  - `steps` (array,null)

  - `steps.name` (string,null)

  - `steps.description` (string,null)

  - `steps.taskTypeId` (string,null)

  - `steps.taskId` (string,null)

  - `steps.executionMode` (string)
    Enum: "Strict", "Lenient", "Selective"

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
